src/gui/cs_gui_particles.h File Reference

| programmer's documentation

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
cs_gui_particles.h File Reference
`#include "cs_base.h"`
Include dependency graph for cs_gui_particles.h:

Go to the source code of this file.

## Functions
void | cfname (int *const flag, char *const fstr, int *const len, int *const var_idCS_ARGF_SUPP_CHAINE)
void | fclag1 (const char *const fstr, int *const len, int *const var_idCS_ARGF_SUPP_CHAINE)
void | fclag2 (const char *const fstr, int *const len, int *const var_idCS_ARGF_SUPP_CHAINE)
void | fclag3 (const char *const fstr, int *const len, int *const var_idCS_ARGF_SUPP_CHAINE)
void | uilag1 (int *const nlayer, int *const iilagr, int *const isuila, int *const isuist, int *const nbpmax, int *const isttio, int *const injcon, int *const idepst, int *const iphyla, int *const idpvar, int *const itpvar, int *const impvar, int *const iencra, double tprenc[], double visref[], double enc1[], double enc2[], int *const nstits, int *const ltsdyn, int *const ltsmas, int *const ltsthe, int *const nordre, int *const idistu, int *const idiffl, int *const modcpl, int *const idirla, int *const ntlal, int *const ivisv1, int *const ivisv2, int *const ivistp, int *const ivisdm, int *const iviste, int *const ivismp, int *const ivisdk, int *const iviswat, int *const ivisch, int *const ivisck, int *const istala, int *const nbclst, double *const seuil, int *const idstnt, int *const nstist, int ihslag[], int *const iensi3, double *const seuilf, int *const nstbor, int *const inbrbd, int *const iflmbd, int *const iangbd, int *const ivitbd, int *const iencnbbd, int *const iencmabd, int *const iencdibd, int *const iencckbd, int imoybr[], int *const iactfv, int *const iactvx, int *const iactvy, int *const iactvz, int *const iactts)
void | uilag2 (const int *const nfabor, const int *const nozppm, const int *const ientrl, const int *const isortl, const int *const idepo1, const int *const idepo2, const int *const idepfa, const int *const iencrl, const int *const irebol, const int *const isymtl, const int *const iphyla, const int *const ijnbp, const int *const ijfre, const int *const iclst, const int *const ijuvw, const int *const iuno, const int *const iupt, const int *const ivpt, const int *const iwpt, const int *const ijprpd, const int *const ipoit, const int *const idebt, const int *const ijprdp, const int *const idpt, const int *const ivdpt, const int *const iropt, const int *const ijprtp, const int *const itpt, const int *const icpt, const int *const iepsi, const int *const nlayer, const int *const inuchl, const int *const irawcl, const int const ihpt[], int ifrlag[], int iusncl[], int iusclb[])
void | cs_gui_particles_free (void)

## Function Documentation

void cfname | ( | int *const | flag,
|  | char *const | fstr,
|  | int *const | len,
|  | int *const | var_idCS_ARGF_SUPP_CHAINE
| ) |  |

void cs_gui_particles_free | ( | void |  | ) |

void fclag1 | ( | const char *const | fstr,
|  | int *const | len,
|  | int *const | var_idCS_ARGF_SUPP_CHAINE
| ) |  |

void fclag2 | ( | const char *const | fstr,
|  | int *const | len,
|  | int *const | var_idCS_ARGF_SUPP_CHAINE
| ) |  |

void fclag3 | ( | const char *const | fstr,
|  | int *const | len,
|  | int *const | var_idCS_ARGF_SUPP_CHAINE
| ) |  |

void uilag1 | ( | int *const | nlayer,
|  | int *const | iilagr,
|  | int *const | isuila,
|  | int *const | isuist,
|  | int *const | nbpmax,
|  | int *const | isttio,
|  | int *const | injcon,
|  | int *const | idepst,
|  | int *const | iphyla,
|  | int *const | idpvar,
|  | int *const | itpvar,
|  | int *const | impvar,
|  | int *const | iencra,
|  | double | tprenc[],
|  | double | visref[],
|  | double | enc1[],
|  | double | enc2[],
|  | int *const | nstits,
|  | int *const | ltsdyn,
|  | int *const | ltsmas,
|  | int *const | ltsthe,
|  | int *const | nordre,
|  | int *const | idistu,
|  | int *const | idiffl,
|  | int *const | modcpl,
|  | int *const | idirla,
|  | int *const | ntlal,
|  | int *const | ivisv1,
|  | int *const | ivisv2,
|  | int *const | ivistp,
|  | int *const | ivisdm,
|  | int *const | iviste,
|  | int *const | ivismp,
|  | int *const | ivisdk,
|  | int *const | iviswat,
|  | int *const | ivisch,
|  | int *const | ivisck,
|  | int *const | istala,
|  | int *const | nbclst,
|  | double *const | seuil,
|  | int *const | idstnt,
|  | int *const | nstist,
|  | int | ihslag[],
|  | int *const | iensi3,
|  | double *const | seuilf,
|  | int *const | nstbor,
|  | int *const | inbrbd,
|  | int *const | iflmbd,
|  | int *const | iangbd,
|  | int *const | ivitbd,
|  | int *const | iencnbbd,
|  | int *const | iencmabd,
|  | int *const | iencdibd,
|  | int *const | iencckbd,
|  | int | imoybr[],
|  | int *const | iactfv,
|  | int *const | iactvx,
|  | int *const | iactvy,
|  | int *const | iactvz,
|  | int *const | iactts
| ) |  |

void uilag2 | ( | const int *const | nfabor,
|  | const int *const | nozppm,
|  | const int *const | ientrl,
|  | const int *const | isortl,
|  | const int *const | idepo1,
|  | const int *const | idepo2,
|  | const int *const | idepfa,
|  | const int *const | iencrl,
|  | const int *const | irebol,
|  | const int *const | isymtl,
|  | const int *const | iphyla,
|  | const int *const | ijnbp,
|  | const int *const | ijfre,
|  | const int *const | iclst,
|  | const int *const | ijuvw,
|  | const int *const | iuno,
|  | const int *const | iupt,
|  | const int *const | ivpt,
|  | const int *const | iwpt,
|  | const int *const | ijprpd,
|  | const int *const | ipoit,
|  | const int *const | idebt,
|  | const int *const | ijprdp,
|  | const int *const | idpt,
|  | const int *const | ivdpt,
|  | const int *const | iropt,
|  | const int *const | ijprtp,
|  | const int *const | itpt,
|  | const int *const | icpt,
|  | const int *const | iepsi,
|  | const int *const | nlayer,
|  | const int *const | inuchl,
|  | const int *const | irawcl,
|  | const int const | ihpt[],
|  | int | ifrlag[],
|  | int | iusncl[],
|  | int | iusclb[]
| ) |  |